/*=======================================================================
    COOKIE BANNER
=======================================================================*/
.cookie-banner {
    display: none;
    position: fixed;
    z-index: 9999999;
    left: 0;
    top: 0; /* Copre tutto lo schermo */
    width: 100%;
    height: 100%;
    overflow: hidden; /* Evita il doppio scroll della pagina */
    background-color: rgba(0, 0, 0, 0.6); /* Sfondo nero semi-trasparente */
    backdrop-filter: blur(5px); /* EFFETTO SFOCATO sullo sfondo (opzionale) */
    align-items: flex-end; /* Spinge il contenuto verso il basso */
}

.cookie-banner-aperto {
    display: flex !important;
}

.cookie-banner-content {
    background-color: rgba(255, 255, 255, 0.8);
    margin: 0 auto;
    padding: 25px;
    border-top: 1px solid #888;
    width: 50%;
    max-width: 100%;
    max-height: 70vh;
    overflow-y: auto;
    border-radius: 20px 20px 0 0;
    box-shadow: 0 -5px 15px rgba(0, 0, 0, 0.2);
}
@media(max-width : 600px) {
    .cookie-banner-content {
        width: 90%;
    }
}
    /* width */
    .cookie-banner-content::-webkit-scrollbar {
        width: 7px;
    }

    /* Track */
    .cookie-banner-content::-webkit-scrollbar-track {
        border-radius: 3.5px;
    }

    /* Handle */
    .cookie-banner-content::-webkit-scrollbar-thumb {
        background: #555;
        border-radius: 3.5px;
    }

        /* Handle on hover */
        .cookie-banner-content::-webkit-scrollbar-thumb:hover {
            background: #333;
        }

.cookie-banner, .cookie-banner * {
    transition: all 0.4s ease;
}

/*=======================================================================
    COOKIE BANNER PICCOLO
=======================================================================*/
.cookie-banner-piccolo {
    position: fixed;
    bottom: 20px; /* Distanza dal bordo basso dello schermo */
    left: 50%;
    transform: translateX(-50%);
    width: 90%; /* Pił largo sui dispositivi mobili */
    max-width: 800px;
    z-index: 9999998;
    background: rgba(255, 255, 255, 0.9); /* Trasparente */
    backdrop-filter: blur(10px);
    border: 1px solid rgba(238, 238, 238, 0.5);
    border-radius: 1rem;
    box-shadow: 0 10px 30px rgba(0,0,0,0.1);
}

@media(max-width:1599px) {
    .cookie-banner-piccolo {
        width: 70%;
    }
}

@media(max-width:1199px) {
    .cookie-banner-piccolo {
        left: 0;
        width: 100%;
        transform: none;
        bottom: 0;
    }
}

.cookie-banner-piccolo-content {
    position: relative;
    padding: 15px;
}

.cookie-banner-piccolo-chiudi {
    position: absolute;
    top: 15px;
    right: 7px;
    font-weight: bold;
    font-size: 18px;
    cursor: pointer !important;
}


.cookie-banner-piccolo-btn {
    padding: 8px 20px;
    border-radius: 32px;
    box-shadow: 0 4px 8px -6px rgba(0,0,0,.2);
    font-size: 14px;
    font-weight: 700;
    cursor: pointer !important;
    text-align: center;
    color: #3c3c3c;
    overflow: hidden;
    text-overflow: ellipsis;
    border: none;
}

.cookie-banner-piccolo-row {
    display: flex;
    flex-wrap: wrap;
}

.cookie-banner-piccolo-col1 {
    width: 100% /*70%*/;
}

    .cookie-banner-piccolo-col1 h4 {
        font-size: 20px;
    }

    .cookie-banner-piccolo-col1 p {
        font-size: 14px;
        line-height: 1.6;
    }

.cookie-banner-piccolo-col2 {
    width: 100% /*30%*/;
    display: flex;
}

    .cookie-banner-piccolo-col2 > button {
        max-width: 100%;
        margin: 10px auto;
    }

@media(max-width:991px) {
    .cookie-banner-piccolo-row {
        display: flex;
        flex-wrap: wrap;
    }

    .cookie-banner-piccolo-col1 {
        width: 100%;
    }

    .cookie-banner-piccolo-col2 {
        width: 100%;
    }
}

@media(max-width:375px) {
    .cookie-banner-piccolo-col2 {
        flex-direction: column;
    }
}

.cookie-nascondi-banner {
    display: none !important;
}




/*=======================================================================
    INTESTAZIONE - COOKIE BANNER
=======================================================================*/
.cookie-banner-init-title {
    font-size: 30px;
    color: #000;
    font-weight: bold;
}

.cookie-banner-init-text {
    font-size: 15px;
    color: #000;
}

@media(max-width:600px) {
    .cookie-banner-init-title {
        font-size: 20px !important;
        line-height: 20px;
    }

    .cookie-banner-init-text {
        font-size: 13px;
        line-height: 1.5;
    }
}

.cookie-banner-init-pulsanti {
    display: flex;
}

@media(max-width:600px) {
    .cookie-banner-init-pulsanti {
        flex-direction: column;
    }

        .cookie-banner-init-pulsanti > .cookie-banner-btn {
            margin: 10px auto !important;
        }
}

.cookie-banner-init-pulsanti > .cookie-banner-btn {
    margin: auto;
    margin-right: 0;
}

    .cookie-banner-init-pulsanti > .cookie-banner-btn:not(.cookie-banner-preferenze-btn):not(:first-child) {
        margin-left: 15px;
    }

.cookie-banner-btn.cookie-banner-preferenze-btn {
    margin-right: auto;
    margin-left: 0;
}

.cookie-banner-btn {
    padding: 8px 20px;
    border-radius: 32px;
    box-shadow: 0 4px 8px -6px rgba(0,0,0,.2);
    font-size: 14px;
    font-weight: 700;
    cursor: pointer !important;
    text-align: center;
    color: #3c3c3c;
    overflow: hidden;
    text-overflow: ellipsis;
    border: none;
}

.cookie-banner-btn-icon span {
    font-size: 14px;
    margin-right: 10px;
}

.cookie-banner-btn-grey {
    background-color: #ededed;
    border: 1px solid #000;
}

    .cookie-banner-btn-grey:hover {
        background-color: #ccc;
    }

.cookie-banner-btn-blu {
    background-color: #001E50;
    color: #fff;
}

    .cookie-banner-btn-blu:hover {
        background-color: #0F3471;
        color: #fff;
    }

.cookie-banner-preferenze {
    margin-right: auto;
    color: #000;
}

@media(max-width:600px) {
    .cookie-banner-preferenze {
        margin-left: auto;
        margin-right: auto;
        order: 1;
        font-size: 13px;
    }
}


/*=======================================================================
    BOX - COOKIE BANNER
=======================================================================*/

.cookie-banner-box {
    border-bottom: 1px solid #ccc;
    padding: 15px 0;
}

.cookie-banner-no-border {
    border: none !important;
}

.cookie-banner-section {
    display: flex;
    width: 100%;
}

@media(max-width:600px) {
    .cookie-banner-section {
        flex-direction: column;
    }
}

.cookie-banner-hide {
    display: none !important;
}

.cookie-banner-section-title {
    max-width: 60%;
    color: #000;
    font-size: 18px;
    font-weight: bold;
}

@media(max-width:600px) {
    .cookie-banner-section-title {
        font-size: 16px;
        max-width: 100%;
    }
}

.cookie-banner-section-button {
    font-size: 12px;
    width: auto;
    max-width: 20%;
    margin: auto 15px auto auto;
}

@media(max-width:600px) {
    .cookie-banner-section-button {
        width: auto;
        max-width: 100%;
        margin: 7px 0;
        order: 3;
    }
}

.cookie-banner-checkbox {
    position: relative;
    appearance: none;
    outline: none;
    width: 50px;
    height: 30px;
    background-color: #ffffff;
    border: 1px solid #D9DADC;
    border-radius: 50px;
    box-shadow: inset -20px 0 0 0 #ffffff;
    transition-duration: 200ms;
    margin-top: auto;
    margin-bottom: auto;
}

@media(max-width:600px){
    .cookie-banner-checkbox {
        margin-top: 10px;

    }
    .cookie-banner-description-text {
        font-size: 10px;
        line-height: 1.2;
    }
}

    .cookie-banner-checkbox:after {
        content: "";
        position: absolute;
        top: 1px;
        left: 1px;
        width: 26px;
        height: 26px;
        background-color: transparent;
        border-radius: 50%;
        box-shadow: 2px 4px 6px rgba(0,0,0,0.2);
    }

    .cookie-banner-checkbox:checked {
        border-color: #4ED164;
        box-shadow: inset 20px 0 0 0 #4ED164;
    }

        .cookie-banner-checkbox:checked:after {
            left: 20px;
            box-shadow: -2px 4px 3px rgba(0,0,0,0.05);
        }

/*=======================================================================
    END - COOKIE BANNER
=======================================================================*/
.cookie-banner-end {
    padding: 50px 0 15px;
}
